CFLAGS = -FPc -Od -c -Lr -Gs -Gt 512 -W2 
FL     =  c:\fortran\bin\fl $(CFLAGS)
ROOT   = ..
LIBS   = $(ROOT)\libs

OBJECTS= difrac.obj \
          ang180.obj ang360.obj angval.obj begin.obj   \
          cent8.obj  cfind.obj  demo1e.obj align.obj \
          centre.obj mod360.obj profil.obj range.obj  sinmat.obj cellls.obj \
          wxw2t.obj  angcal.obj basinp.obj comptn.obj orcel2.obj inchkl.obj \
          linprf.obj lsormt.obj mesint.obj goloop.obj ormat3.obj blind.obj \
          params.obj pltprf.obj pcount.obj prtang.obj prnbas.obj prnint.obj \
          grid.obj   sammes.obj cellsd.obj stdmes.obj cntref.obj indmes.obj \
          wrbas.obj  reindx.obj rcpcor.obj lotem.obj  nexseg.obj lister.obj \
          oscil.obj  pfind.obj  pscan.obj  peaksr.obj sgprnh.obj \
          setop.obj  tcentr.obj tfind.obj  fndsys.obj \
          dhgen.obj  setrow.obj ralf.obj   creduc.obj cinput.obj \
          pcdraw.obj burger.obj prompt.obj angrw.obj bigchi.obj \
          eulkap.obj cad4io.obj qio.obj

GENS    = yesno.obj  freefm.obj alfnum.obj matrix.obj \
          sgroup.obj latmod.obj sgrmat.obj \
          sglatc.obj sglpak.obj sgerrs.obj sgmtml.obj \
          sgtrcf.obj \
          setiou.obj ibmfil.obj

EXEC    = difrac.exe

$(EXEC): $(OBJECTS) $(GENS)
        link @dif.ovl


.for.obj:
        $(FL) $<
